Author Topic: Could not cache LMCE CD 2  (Read 1054 times)

Lighter.84

  • Making baby steps
  • Posts: 3
    • View Profile
Could not cache LMCE CD 2
« on: April 10, 2008, 02:26:32 pm »
I tried to install a 64 bit LinuxMCE on a 64 bit Xen machine as a DomU. So I did a debootstrap of Kubuntu 7.10 and updated to kernel 2.6.22-14-xen. After some apt-gets (including kubuntu-desktop) and installing mce-installer, I launched dolphin via SSH X-forwarding the clicked the mce-installer.desktop symbol. After having told the installation wizard that I want a dedicated core system with a DHCP server, I selected the iso-images of LinuxMCE Disk 1, Disk 2 and Kubuntu 7.10. However, during the installation the system comes up with an error message telling me that the installation failed.

Here is an excerpt from the log file:

Code: newbielink:javascript:void(0); [nonactive]
/usr/pluto/deb-cache /tmp/selfextract.Zw6755
 ! Package launchpad-integration (filename .//launchpad-integration_0.1.15_all.deb) is repeat;
   ignored that one and using data from .//launchpad-integration_0.1.15_amd64.deb !
 ! Package kdelibs4c2a (filename .//kdelibs4c2a_4%3a3.5.8-0ubuntu2_amd64.deb) is repeat;
   ignored that one and using data from .//kdelibs4c2a_3.5.8-0ubuntu2_amd64.deb !
 ! Package fiire-drivers (filename .//fiire-drivers_2.0.0.44.0802222200_amd64.deb) is repeat but newer version;
   used that one and ignored data from .//fiire-drivers_2.0.0.44.0802102200_amd64.deb !

...

 ! Package xserver-xorg-video-chips (filename .//xserver-xorg-video-chips_1%3a1.1.1-4ubuntu1_amd64.deb) is repeat;
   ignored that one and using data from .//xserver-xorg-video-chips_1.1.1-4ubuntu1_amd64.deb !
 ! Package libgtk2.0-common (filename .//libgtk2.0-common_2.12.0-1ubuntu3_all.deb) is repeat;
   ignored that one and using data from .//libgtk2.0-common_2.12.0-1ubuntu3_amd64.deb !
 ! Package xpmutils (filename .//xpmutils_1%3a3.5.6-3_amd64.deb) is repeat;
   ignored that one and using data from .//xpmutils_3.5.6-3_amd64.deb !
 ** Packages in archive but missing from override file: **
  abcde acpi acpi-support acpid adduser adept adept-batch adept-common
  adept-installer adept-manager adept-notifier adept-updater akregator
  alsa-base alsa-utils amarok amarok-xine anacron ansi2html apache2
  apache2-mpm-prefork apache2-mpm-worker apache2-utils apache2.2-
  common app-install-data apparmor apparmor-utils apport apport-qt
  appres apt apt-utils aptitude ark arping arts aspell aspell-en

...

  xsetpointer xsetroot xsm xstdcmap xterm xtrans-dev xtrap xutils
  xutils-dev xvidtune xvinfo xwd xwininfo xwud zaptel-modules-2.6.22-
  14-generic zenity zip zlib1g zlib1g-dev

 Wrote 1604 entries to output Packages file.
/tmp/selfextract.Zw6755
/usr/pluto/deb-cache /tmp/selfextract.Zw6755
 ! Package launchpad-integration (filename .//launchpad-integration_0.1.15_all.deb) is repeat;
   ignored that one and using data from .//launchpad-integration_0.1.15_amd64.deb !
 ! Package kdelibs4c2a (filename .//kdelibs4c2a_4%3a3.5.8-0ubuntu2_amd64.deb) is repeat;
   ignored that one and using data from .//kdelibs4c2a_3.5.8-0ubuntu2_amd64.deb !

...

 ! Package libgtk2.0-common (filename .//libgtk2.0-common_2.12.0-1ubuntu3_all.deb) is repeat;
   ignored that one and using data from .//libgtk2.0-common_2.12.0-1ubuntu3_amd64.deb !
 ! Package xpmutils (filename .//xpmutils_1%3a3.5.6-3_amd64.deb) is repeat;
   ignored that one and using data from .//xpmutils_3.5.6-3_amd64.deb !
 ** Packages in archive but missing from override file: **
  abcde acpi acpi-support acpid adduser adept adept-batch adept-common
  adept-installer adept-manager adept-notifier adept-updater akregator
  alsa-base alsa-utils amarok amarok-xine anacron ansi2html apache2

...

  xsetpointer xsetroot xsm xstdcmap xterm xtrans-dev xtrap xutils
  xutils-dev xvidtune xvinfo xwd xwininfo xwud zaptel-modules-2.6.22-
  14-generic zenity zip zlib1g zlib1g-dev

 Wrote 1604 entries to output Packages file.
/tmp/selfextract.Zw6755
(Reading database ... 96098 files and directories currently installed.)
Preparing to replace video-wizard-videos 1.1 (using .../video-wizard-videos_1.1_all.deb) ...
Unpacking replacement video-wizard-videos ...
Setting up video-wizard-videos (1.1) ...
rm: cannot remove `/tmp/tmp.mSRKz22879/cachecd1-cache/abcde_2.3.99.6-1ubuntu2_all.deb': Read-only file system
rm: cannot remove `/tmp/tmp.mSRKz22879/cachecd1-cache/adduser_3.103ubuntu1_all.deb': Read-only file system
rm: cannot remove `/tmp/tmp.mSRKz22879/cachecd1-cache/alsa-base_1.0.14-1ubuntu2_all.deb': Read-only file system
rm: cannot remove `/tmp/tmp.mSRKz22879/cachecd1-cache/anacron_2.3-13ubuntu2_amd64.deb': Read-only file system
rm: cannot remove `/tmp/tmp.mSRKz22879/cachecd1-cache/apache2-mpm-prefork_2.2.4-3build1_amd64.deb': Read-only file system
rm: cannot remove `/tmp/tmp.mSRKz22879/cachecd1-cache/apache2.2-common_2.2.4-3build1_amd64.deb': Read-only file system

...

rm: cannot remove `/tmp/tmp.mSRKz22879/cachecd1-cache/editres_1.0.3-0ubuntu1_amd64.deb': Read-only file system
rm: cannot remove `/tmp/tmp.mSRKz22879/cachecd1-cache/eject_2.1.5-2ubuntu2_amd64.deb': Read-only file system
umount2: Device or resource busy
rm: cannot remove `/tmp/tmp.mSRKz22879/cachecd1-cache/esound-common_0.2.38-0ubuntu4_all.deb': Read-only file system
umount: /tmp/tmp.mSRKz22879: device is busy
rm: cannot remove `/tmp/tmp.mSRKz22879/cachecd1-cache/etherwake_1.09-2_amd64.deb': Read-only file system
umount2: Device or resource busy
umount: /tmp/tmp.mSRKz22879: device is busyrm:
cannot remove `/tmp/tmp.mSRKz22879/cachecd1-cache/ethtool_5-2_amd64.deb': Read-only file system
rm: cannot remove `/tmp/tmp.mSRKz22879/cachecd1-cache/ffmpeg_3%3a0.cvs20070307-5ubuntu4_amd64.deb': Read-only file system
rm: cannot remove `/tmp/tmp.mSRKz22879/cachecd1-cache/file_4.21-1_amd64.deb': Read-only file system

...

rm: cannot remove `/tmp/tmp.mSRKz22879/cachecd1-cache/x-dev_7.0.10-2_all.deb': Read-only file system
rm: cannot remove `/tmp/tmp.mSRKz22879/cachecd1-cache/x-window-system-core_1%3a7.2-5ubuntu13_all.deb': Read-only file system
rm: cannot remove `/tmp/tmp.mSRKz22879/cachecd1-cache/zlib1g_1%3a1.2.3.3.dfsg-5ubuntu2_amd64.deb': Read-only file system
rm: cannot remove `/tmp/tmp.mSRKz22879/cachecd1-cache/zlib1g-dev_1%3a1.2.3.3.dfsg-5ubuntu2_amd64.deb': Read-only file system

ERROR : Could not cache LMCE CD 2

After the installation has canceled, the directory /tmp/tmp.mSRKz22879 is empty, is not Read-only and apparently the cachecd1-cache directory has been removed:

Code: newbielink:javascript:void(0); [nonactive]
mceserver_:/tmp# ls -la tmp.mSRKz22879/
total 8
drwx------  2 root root 4096 Apr 10 08:42 .
drwxrwxrwt 10 root root 4096 Apr 10 08:43 ..
mceserver_:/tmp# touch tmp.mSRKz22879/testfile.txt
mceserver_:/tmp# ls -la tmp.mSRKz22879/
total 8
drwx------  2 root root 4096 Apr 10 11:59 .
drwxrwxrwt 10 root root 4096 Apr 10 08:43 ..
-rw-r--r--  1 root root    0 Apr 10 11:59 testfile.txt
mceserver_:/tmp#

Does anyone has an idea why the installation script cannot remove the packages? Why does the script try to unmount /tmp/tmp.mSRKz22879 during the attempts? Are the repeat-ignore entries usual? Is it usual that these messages starting with "/usr/pluto/deb-cache /tmp/selfextract.Zw6755" occur twice in the logfile? Why could CD 2 not be cached?

Can anyone help me with this issue? Some solutions or hints?

Zaerc

  • Alumni
  • LinuxMCE God
  • *
  • Posts: 2256
  • Department of Redundancy Department.
    • View Profile
Re: Could not cache LMCE CD 2
« Reply #1 on: April 10, 2008, 04:01:00 pm »
Why on earth would you "apt-get kubuntu-desktop" after installing kubuntu?

If you don't know what you're doing I'd suggest following the installation instructions in the wiki.  And checking the MD5Sums of ISOs never hurt anyone either. 
"Change is inevitable. Progress is optional."
-- Anonymous


Lighter.84

  • Making baby steps
  • Posts: 3
    • View Profile
Re: Could not cache LMCE CD 2
« Reply #2 on: April 10, 2008, 04:14:28 pm »
After the debootstrap there is neither X nor the KDE desktop installed yet, though it is required for the graphical installation wizard. I followed the installation instructions perfectly... after I installed Kubuntu ;-)
And of course I had already checked the MD5 sums before I started with the installation procedure.

Zaerc

  • Alumni
  • LinuxMCE God
  • *
  • Posts: 2256
  • Department of Redundancy Department.
    • View Profile
Re: Could not cache LMCE CD 2
« Reply #3 on: April 10, 2008, 07:36:53 pm »
I followed the installation instructions perfectly... after I installed Kubuntu ;-)
So you're not following the instructions properly and now you're wondering why you're having all these issues...
"Change is inevitable. Progress is optional."
-- Anonymous


Lighter.84

  • Making baby steps
  • Posts: 3
    • View Profile
Re: Could not cache LMCE CD 2
« Reply #4 on: April 10, 2008, 08:34:59 pm »
So, what else would you suggest to get a LinuxMCE run as a DomU in Xen? If I want to use some Hardware (like the DVB-C PCI card) with LinuxMCE, I need to use a paravirtualized machine, so I cannot simply put in the Kubuntu CD and run this nice graphical installation. I need to use bootstrap instead and afterwards upgrade it to a complete Kubuntu system. It would be more helpful to know why the installation script can not write to the tmp directory.
btw... how does a log file look like after a successful installation?

Zaerc

  • Alumni
  • LinuxMCE God
  • *
  • Posts: 2256
  • Department of Redundancy Department.
    • View Profile
Re: Could not cache LMCE CD 2
« Reply #5 on: April 10, 2008, 09:51:41 pm »
I would suggest installing it on a real machine first to get aquinted with the procedure and system.  And then maybe copy that over, or doing an "install" from the DVD manually as described elsewhere in these forums.  That's about all I can tell you as I don't use Xen myself.

Seems to me this is a limitation of Xen.  VMWare for instance doesn't have this "problem" at all, just hook up the ISO and boot.  Either way, LMCE isn't really intended to be run under Xen (or VMWare).
"Change is inevitable. Progress is optional."
-- Anonymous